/**
 * This file Copyright (c) 2003-2009 Magnolia International
 * Ltd.  (http://www.magnolia-cms.com). All rights reserved.
 *
 *
 * This file is dual-licensed under both the Magnolia
 * Network Agreement and the GNU General Public License.
 * You may elect to use one or the other of these licenses.
 *
 * This file is distributed in the hope that it will be
 * useful, but AS-IS and WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE, TITLE, or NONINFRINGEMENT.
 * Redistribution, except as permitted by whichever of the GPL
 * or MNA you select, is prohibited.
 *
 * 1. For the GPL license (GPL), you can redistribute and/or
 * modify this file under the terms of the GNU General
 * Public License, Version 3, as published by the Free Software
 * Foundation.  You should have received a copy of the GNU
 * General Public License, Version 3 along with this program;
 * if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * 2. For the Magnolia Network Agreement (MNA), this file
 * and the accompanying materials are made available under the
 * terms of the MNA which accompanies this distribution, and
 * is available at http://www.magnolia-cms.com/mna.html
 *
 * Any modifications to this file must keep this entire header
 * intact.
 *
 */
package com.google.code.mgnlgroovy.scheduler;

/**
 * Some usefulls constants used throughout the module
 * @author philipp
 * @version $Id: SchedulerConsts.java 3 2009-04-16 22:48:19Z federico.grilli $
 */
public interface SchedulerConsts
{

    /**
     * Name of the nodedata containing the corn scheduling expression
     */
    static final String CONFIG_JOB_CRON_STATEMENT = "cron";

    /**
     * True if the job is scheduled
     */
    static final String CONFIG_JOB_ACTIVE = "active";

    /**
     * The subnode params can have parameter definitions
     */
    static final String CONFIG_JOB_PARAMS = "params";

    /**
     * The catalog name
     */
    static final String CONFIG_JOB_COMMAND_CATALOG = "catalog";

    /**
     * The command name
     */
    static final String CONFIG_JOB_COMMAND = "command";

    /**
     * The group name we use to work with the scheduler
     */
    static final String SCHEDULER_GROUP_NAME = "magnolia";

    /**
     * Daily scheduled at midnight
     */
    static final String CRON_DAILY = "0 0 0 * * *";

    /**
     * 
     */
    static final String CRON_HOURLY = "0 0 * * * *";

    static final String CONFIG_JOB_GROOVY = "groovy";

    static final String ROOT_PATH_FOR_JOBS = "/modules/scheduler/config/jobs";

}
