/**
 * Copyright (C) 2009 fgrilli <federico.grilli@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package com.google.code.mgnlgroovy.scheduler.admin;

import info.magnolia.cms.core.Content;
import info.magnolia.cms.gui.controlx.list.ValueProvider;
import info.magnolia.cms.gui.controlx.search.RepositorySearchListModel;

import java.util.Collection;

import com.google.code.mgnlgroovy.scheduler.manager.JobDefinitionManager;


/**
 * @author fgrilli
 * @version $Id: SchedulerJobListModel.java 3 2009-04-16 22:48:19Z federico.grilli $
 *
 */
public final class SchedulerJobListModel extends RepositorySearchListModel
{

    private JobDefinitionManager jobDefinitionManager = JobDefinitionManager.Factory.getInstance();
    
    private static final ValueProvider valueProvider = new JobValueProvider();
    /**
     * @param id
     */
    public SchedulerJobListModel(String id)
    {
        super(id);
    }
    
    @Override
    protected Collection<Content> getResult() throws Exception
    {      
        return jobDefinitionManager.findAllJobDefinitions();
    }
    
    @Override
    public ValueProvider getValueProvider()
    {
        return valueProvider;
    }
}
